curl -X POST "https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links/products/images" \
-H "Content-Type: multipart/form-data" \
-H "Authorization: <Authorization>" \
-d '{
"file": "string"
}'
const response = await fetch(`https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links/products/images`, {
method: 'POST',
headers: { 'Content-Type': 'multipart/form-data' },
body: JSON.stringify({
"file": "string"
})
});
const data = await response.json();
import requests
response = requests.request(
"POST",
"https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links/products/images",
json={
"file": "string"
},
)
data = response.json()
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links/products/images");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Content-Type: multipart/form-data"]);
curl_setopt($ch, CURLOPT_POSTFIELDS, '{
"file": "string"
}');
$response = curl_exec($ch);
curl_close($ch);
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
req, _ := http.NewRequest("POST", "https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links/products/images", strings.NewReader(`{
"file": "string"
}`))
req.Header.Set("Content-Type", "multipart/form-data")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
data, _ := io.ReadAll(resp.Body)
fmt.Println(string(data))
}
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links/products/images"))
.header("Content-Type", "multipart/form-data")
.method("POST", HttpRequest.BodyPublishers.ofString("{\n \"file\": \"string\"\n}"))
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require "net/http"
require "uri"
uri = URI("https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links/products/images")
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = uri.scheme == "https"
request = Net::HTTP::Post.new(uri)
request["Content-Type"] = "multipart/form-data"
request.body = "{\n \"file\": \"string\"\n}"
response = http.request(request)
puts response.body